Get a request

View as Markdown
Gets information about a request in a collection.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

requestIdstringRequired
The request's ID.
collectionIdstringRequired
The collection's ID.

Query parameters

idsbooleanOptional
If true, returns only properties that contain ID values in the response.
uidbooleanOptional

If true, returns all IDs in UID format (userId-id).

populatebooleanOptional
If true, returns all of the collection item's contents.

Response

Successful Response
model_idstring
The request's ID.
metamap from strings to any

A Postman-specific response that contains information about the internal performed operation.

dataobject

Information about the request. For a complete list of properties, refer to the Request entry in the Postman Collection Format documentation.

Errors

401
Unauthorized Error
404
Not Found Error
500
Internal Server Error